<app-header></app-header>

<p-toast></p-toast>

<div class="pl-4">
  <ul class="list-none p-0 m-0 flex align-items-center font-medium mb-3">
    <li>
      <a
        (click)="back()"
        class="text-500 no-underline line-height-3 cursor-pointer"
        >Notes</a
      >
    </li>
    <li class="px-2">
      <i class="pi pi-angle-right text-500 line-height-3"></i>
    </li>
    <li>
      <span class="text-900 line-height-3">#{{ id }}</span>
    </li>
  </ul>
</div>

<form [formGroup]="noteForm" (ngSubmit)="save()">
  <div class="surface-ground p-4">
    <div class="text-900 font-medium text-xl mb-3">Note #{{ id }}</div>
    <div class="surface-card p-4 shadow-2 border-round p-fluid">
      <div class="grid formgrid p-fluid">
        <div class="field mb-4 col-12 md:col-6">
          <label for="title" class="font-medium text-900">Title</label>
          <input
            id="title"
            type="text"
            pInputText
            formControlName="title"
            required
          />
        </div>
        <div class="field mb-4 col-12">
          <label for="notes" class="font-medium text-900">Content</label>
          <textarea
            id="notes"
            pInputTextarea
            [autoResize]="true"
            [rows]="5"
            required
            formControlName="content"
          ></textarea>
        </div>
      </div>
      <div class="flex justify-content-end align-content-end">
        <button
          pButton
          pRipple
          type="submit"
          label="Save"
          icon="pi pi-save"
          class="w-auto"
          [disabled]="!noteForm.valid"
        ></button>
      </div>
    </div>
  </div>
</form>
<app-footer></app-footer>
